Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 618706 - rpm doesn't include rpm-4.4.2.3-no-buildid-warning.patch
rpm doesn't include rpm-4.4.2.3-no-buildid-warning.patch
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpm (Show other bugs)
6.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Panu Matilainen
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-27 10:59 EDT by Martin Poole
Modified: 2011-03-15 10:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-28 04:39:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Poole 2010-07-27 10:59:55 EDT
Description of problem:

According to find-debuginfo.sh of rpm on RHEL6 beta2, there isn't the patch
rpm-4.4.2.3-no-buildid-warning.patch that resolves IT#269860.

A part of the shell script to look into is below.
 ...
 id=$(/usr/lib/rpm/debugedit -b "$RPM_BUILD_DIR" -d /usr/src/debug \
                             -i -l "$SOURCEFILE" "$f") || exit
 if [ -z "$id" ]; then
 ...

If debugedit fails, find-debuginfo.sh exits.  debugedit fails whenever
"//" is included in the path specified for itself.

A part of the patch to look into is below.
...
 id=$(/usr/lib/rpm/debugedit -b "$RPM_BUILD_DIR" -d /usr/src/debug \
-                            -i -l "$SOURCEFILE" "$f") || exit
-  if [ -z "$id" ]; then
+                            -i -l "$SOURCEFILE" "$f")
+  if $strict && [ -z "$id" ]; then
...

With the above patch, even if "//" is included in the path specified
for debugedit, find-debuginfo.sh won't exit.


Version-Release number of selected component (if applicable):

 Red Hat Enterprise Linux Version Number: Red Hat Enterprise Linux 6.0
 Release Number: Beta2 snapshot7
 Architecture: x86_64
 Kernel Version: kernel-2.6.32-44.el6.x86_64
 Related Package Version: rpm-4.8.0-10.el6.x86_64
Comment 1 Panu Matilainen 2010-09-28 04:39:13 EDT
The patch to suppress buildid warnings was only added to RHEL 5 to avoid significant behavior change within a released distro version, and was intentionally omitted from RHEL 6.

Best option is to fix the package, but if that's not feasible for whatever reason the strict build-id behavior can be turned off through a macro, either in spec of the affected package(s):

%global _missing_build_ids_terminate_build 0

or in the macro configuration of the build environment (eg ~/.rpmmacros):

%_missing_build_ids_terminate_build 0

Note You need to log in before you can comment on or make changes to this bug.